package server;

import javax.ejb.CreateException;
import java.util.Collection;
import javax.ejb.EJBException;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.ejb.RemoveException;

/**
 * @author knk
 *
 * JVelox - www.jvelox.com.br
 */
public abstract class StudentBean implements EntityBean {

	protected EntityContext ctx;

	/**
	 * Constructor for CourseBean.
	 */
	public StudentBean() {
		super();
	}

	public abstract void setName(String name);
	public abstract String getName();
	public abstract void setCourses(Collection courses);
	public abstract Collection getCourses();	

	public StudentPk ejbCreate(String name) throws CreateException {
		this.setName( name );
		return new StudentPk( name );
	}
	
	public void ejbPostCreate(String name) throws CreateException {
	
	}

	/**
	 * @see EntityBean#setEntityContext(EntityContext)
	 */
	public void setEntityContext(EntityContext ctx) {
		this.ctx = ctx;
	}

	/**
	 * @see EntityBean#unsetEntityContext()
	 */
	public void unsetEntityContext() {
		this.ctx = null;
	}

	/**
	 * @see EntityBean#ejbRemove()
	 */
	public void ejbRemove() {

	}

	/**
	 * @see EntityBean#ejbActivate()
	 */
	public void ejbActivate() {

	}

	/**
	 * @see EntityBean#ejbPassivate()
	 */
	public void ejbPassivate() {
	}

	/**
	 * @see EntityBean#ejbLoad()
	 */
	public void ejbLoad() {
	}

	/**
	 * @see EntityBean#ejbStore()
	 */
	public void ejbStore() {
	}


}
