package server;

import java.util.Collection;
import javax.ejb.CreateException;
import javax.ejb.EJBException;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.ejb.RemoveException;

/**
 * @author knk
 *
 * JVelox - www.jvelox.com.br
 */
public abstract class CourseBean implements EntityBean {
	
	protected EntityContext ctx;

	/**
	 * Constructor for CourseBean.
	 */
	public CourseBean() {
		super();
	}

	public abstract void setName(String name);
	public abstract String getName();
	public abstract void setStudents(Collection courses);
	public abstract Collection getStudents();	
	public abstract void setTeacherPk(TeacherPk teacherPk);
	public abstract TeacherPk getTeacherPk();
	

	public CoursePk ejbCreate(String name) throws CreateException {
		this.setName( name );
		return new CoursePk( name );
	}
	
	public void ejbPostCreate(String name) throws CreateException {
	
	}


	/**
	 * @see EntityBean#setEntityContext(EntityContext)
	 */
	public void setEntityContext(EntityContext ctx) {
		this.ctx = ctx;
	}

	/**
	 * @see EntityBean#unsetEntityContext()
	 */
	public void unsetEntityContext() {
		this.ctx = null;
	}

	/**
	 * @see EntityBean#ejbRemove()
	 */
	public void ejbRemove() {

	}

	/**
	 * @see EntityBean#ejbActivate()
	 */
	public void ejbActivate() {

	}

	/**
	 * @see EntityBean#ejbPassivate()
	 */
	public void ejbPassivate() {
	}

	/**
	 * @see EntityBean#ejbLoad()
	 */
	public void ejbLoad() {
	}

	/**
	 * @see EntityBean#ejbStore()
	 */
	public void ejbStore() {
	}

}
