package server;

import java.rmi.RemoteException;
import java.util.Collection;
import javax.ejb.EJBObject;

/**
 * @author knk
 *
 * JVelox - www.jvelox.com.br
 */
public interface CourseManager extends EJBObject {

	void createCourse(String name) throws RemoteException;
	
	void createTeacher(String name) throws RemoteException;
	
	void createStudent(String name) throws RemoteException;	
	
	Collection getStudentsCourses(StudentPk pk) throws RemoteException;
	
	Collection getTeacherCourses(TeacherPk pk) throws RemoteException;
	
	void bindStudentCourse(StudentPk stdPk, CoursePk coursePk) throws RemoteException;
	
	void bindTeacherCourse(TeacherPk stdPk, CoursePk coursePk) throws RemoteException;	
}
